import { Config } from '../config';
import { Workspace } from '../workspace';
export declare class WorkspaceFiles {
    readonly config: Config;
    constructor(config: Config);
    update(workspaces: Workspace[]): Promise<void>;
    prune(workspaces: Workspace[]): Promise<void>;
    private buildDockerComposeYAML;
    private buildAuthorizedKeys;
}
